Subject: Re: [PATCH, RFC] diff: add option to show context between close chunks

From: Johannes Sixt <[email-masked]>
Date: Tue, 21 Oct 2008 08:35:08 +0200

Junio C Hamano schrieb:
> René Scharfe <[email-masked]> writes:
> 
>> I think it makes sense to make 1, or even 3, the default for this
>> option for all commands that create patches intended for human
>> consumption.  The patch keeps the default at 0, though.
> 
> I think defaulting to 1 would make sense, or alternatively, just
> hardcoding that behaviour without any new option.  That would give you
> more information with the same number of patch lines, iow, upside without
> any downside.

Are you sure about the "without any downside" part? The extra context line
inhibits that the patch applies cleanly to a version of the file that has
that very line modified (including a different number of lines).

-- Hannes